Notification (gCube Social Networking Library 1.0.2-SNAPSHOT API)
Date: 2013-04-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portal.databook.shared
Class Notification

    java.lang.Object
      org.gcube.portal.databook.shared.Notification

All Implemented Interfaces:
  Serializable

    public class Notification

extends Object
implements Serializable

Version:
  0.2 Nov 2012
Author:
  Massimiliano Assante, ISTI-CNR
See Also:
  Serialized Form

Constructor Summary
`Notification()` default constructor
`Notification(String key, NotificationType type, String userid, String subjectid, Date time, String uri, String description, boolean read, String senderid, String senderFullName, String senderThumbnail)`

Method Summary
`String` | `getDescription()`
`String` | `getKey()`
`String` | `getSenderFullName()`
`String` | `getSenderid()`
`String` | `getSenderThumbnail()`
`String` | `getSubjectid()`
`Date` | `getTime()`
`NotificationType` | `getType()`
`String` | `getUri()`
`String` | `getUserid()`
`boolean` | `isRead()`
`void` | `setDescription(String description)`
`void` | `setKey(String key)`
`void` | `setRead(boolean read)`
`void` | `setSenderFullName(String senderFullName)`
`void` | `setSenderid(String senderid)`
`void` | `setSenderThumbnail(String senderThumbnail)`
`void` | `setSubjectid(String subjectid)`
`void` | `setTime(Date time)`
`void` | `setType(NotificationType type)`
`void` | `setUri(String uri)`
`void` | `setUserid(String userid)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Notification

    public Notification()

  default constructor

### Notification

    public Notification(String key,
                        NotificationType type,
                        String userid,
                        String subjectid,
                        Date time,
                        String uri,
                        String description,
                        boolean read,
                        String senderid,
                        String senderFullName,
                        String senderThumbnail)

Parameters:
  `key` -
  `type` -
  `userid` -
  `subjectid` - the subject id of this notification, if is a like on a feed then is the feedid, it is a message then is the messageid and so on
  `time` -
  `uri` -
  `description` -
  `read` -
  `senderid` -
  `senderFullName` -
  `senderThumbnail` -

Method Detail

### getKey

    public String getKey()

  Returns:
    .

### setKey

    public void setKey(String key)

### getType

    public NotificationType getType()

### setType

    public void setType(NotificationType type)

### getUserid

    public String getUserid()

### setUserid

    public void setUserid(String userid)

### getTime

    public Date getTime()

### setTime

    public void setTime(Date time)

### getUri

    public String getUri()

### setUri

    public void setUri(String uri)

### getDescription

    public String getDescription()

### setDescription

    public void setDescription(String description)

### isRead

    public boolean isRead()

### setRead

    public void setRead(boolean read)

### getSenderid

    public String getSenderid()

### setSenderid

    public void setSenderid(String senderid)

### getSenderFullName

    public String getSenderFullName()

### setSenderFullName

    public void setSenderFullName(String senderFullName)

### getSenderThumbnail

    public String getSenderThumbnail()

### setSenderThumbnail

    public void setSenderThumbnail(String senderThumbnail)

### getSubjectid

    public String getSubjectid()

### setSubjectid

    public void setSubjectid(String subjectid)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.